﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;

using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;
using Infragistics.Windows.Controls;
using Infragistics.Windows;
using System.Windows.Controls.Primitives;

namespace ZIndexOfXamRibbon
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : XamRibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            ButtonGroup buttonGroup = new ButtonGroup();
            
        }

        private void ButtonTool_Click(object sender, RoutedEventArgs e)
        {
            ButtonTool bt = (ButtonTool)e.OriginalSource;

            switch (bt.Id)
            {
                case "btnBold":
                    MessageBox.Show("Bold Button");
                    break;
                case "btnItalic":
                    MessageBox.Show("Italic Button");
                    break;
                case "btnUnderline":
                    MessageBox.Show("Underline Button");
                    break;
            }

        }

        private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
        {
          Grid cp = Utilities.GetAncestorFromType(sender as DependencyObject, typeof(Grid), false) as Grid;

          Rectangle rec = (cp.Children[0]) as Rectangle;
          rec.Visibility = Visibility.Collapsed;
         
          Panel.SetZIndex(cp, 10);
        }

        private void StatusBar1_Loaded(object sender, RoutedEventArgs e)
        {
            Panel.SetZIndex(sender as StatusBar, 15);
        }     
    }
}
